For the complete documentation index, see llms.txt. This page is also available as Markdown.

RUC consulta masiva

Consulta masiva de RUC

post

Permite consultar hasta 100 RUC en una sola petición.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
AcceptstringRequiredExample: application/json
Body
Responses
200

OK

application/json
successbooleanOptionalExample: true
post/ruc/masivo
POST /api/v2/ruc/masivo HTTP/1.1
Host: api.migo.pe
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: application/json
Content-Type: application/json
Content-Length: 23

{
  "ruc": [
    "20603274742"
  ]
}
{
  "success": true,
  "data": [
    {
      "ruc": "20603274742",
      "nombre_o_razon_social": "MIGO SOCIEDAD ANONIMA CERRADA - MIGO S.A.C.",
      "estado_del_contribuyente": "ACTIVO",
      "condicion_de_domicilio": "HABIDO",
      "ubigeo": "040112",
      "tipo_de_via": "AV.",
      "nombre_de_via": "JORGE CHAVEZ",
      "codigo_de_zona": "URB.",
      "tipo_de_zona": "JORGE CHAVEZ",
      "numero": "204",
      "interior": "-",
      "lote": "-",
      "dpto": "-",
      "manzana": "-",
      "kilometro": "-",
      "distrito": "PAUCARPATA",
      "provincia": "AREQUIPA",
      "departamento": "AREQUIPA",
      "direccion_simple": "AV. JORGE CHAVEZ NRO. 204 URB. JORGE CHAVEZ",
      "direccion": "AV. JORGE CHAVEZ NRO. 204 URB. JORGE CHAVEZ - AREQUIPA AREQUIPA PAUCARPATA",
      "actualizado_en": "2024-01-01 20:00:00"
    }
  ]
}

Consulta masiva de RUC actividades económicas

post

Permite consultar hasta 100 RUC en una sola petición.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
AcceptstringRequiredExample: application/json
Body
Responses
200

OK

application/json
successbooleanOptionalExample: true
post/ruc/actividad-economica/masivo
POST /api/v2/ruc/actividad-economica/masivo HTTP/1.1
Host: api.migo.pe
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: application/json
Content-Type: application/json
Content-Length: 23

{
  "ruc": [
    "20603274742"
  ]
}
{
  "success": true,
  "data": [
    {
      "ruc": "20603274742",
      "estado": "ACTIVO",
      "condicion": "HABIDO",
      "tipo": "SOCIEDAD ANONIMA CERRADA",
      "actividad_economica_rev3_principal": "CONSULTORES PROGRAMAS Y SUMINISTROS INFORMATICOS",
      "actividad_economica_rev3_secundaria": "VENTA AL POR MAYOR DE MAQUINARIA EQUIPO Y MATERIALES",
      "actividad_economica_rev4_principal": "CONSULTORIA DE INFORMATICA Y GESTION DE INSTALACIONES INFORMATICAS",
      "numero_trabajadores": "NO DISPONIBLE",
      "tipo_facturacion": "MANUAL/COMPUTARIZADO",
      "tipo_contabilidad": "COMPUTARIZADO",
      "comercio_exterior": "SIN ACTIVIDAD",
      "periodo": "202404"
    }
  ]
}

Last updated